var _excluded = ["value"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

// require PrototypeString.js
import React, { forwardRef, useContext } from 'react';
import Context from '../Context/instance.js';
var InputSafe = forwardRef(function (_ref, ref) {
  var _ref$value = _ref.value,
      value = _ref$value === void 0 ? '' : _ref$value,
      others = _objectWithoutPropertiesLoose(_ref, _excluded);

  // context
  var context = useContext(Context) || {};

  var locale = context.locale || function (remark) {
    return remark || '';
  };

  var lvl = value.safeLvl();
  return /*#__PURE__*/React.createElement("ul", _extends({
    ref: ref
  }, others, {
    className: "input-safe lvl" + lvl + (others.className ? ' ' + others.className : '')
  }), /*#__PURE__*/React.createElement("li", null, /*#__PURE__*/React.createElement("div", {
    className: "input-safe-progress"
  }), /*#__PURE__*/React.createElement("span", {
    className: "input-safe-caption"
  }, locale('弱', 'low'))), /*#__PURE__*/React.createElement("li", null, /*#__PURE__*/React.createElement("div", {
    className: "input-safe-progress"
  }), /*#__PURE__*/React.createElement("span", {
    className: "input-safe-caption"
  }, locale('中', 'medium'))), /*#__PURE__*/React.createElement("li", null, /*#__PURE__*/React.createElement("div", {
    className: "input-safe-progress"
  }), /*#__PURE__*/React.createElement("span", {
    className: "input-safe-caption"
  }, locale('强', 'strong'))));
});
export default InputSafe;